﻿using System.Globalization;
using System.Threading;
using System.Web.Mvc;

namespace LocalizeJavaScriptMvc.Controllers
{
    public class HomeController : Controller
    {
        private void SetCulture()
        {
            if (HttpContext.Request.UserLanguages != null &&
                HttpContext.Request.UserLanguages.Length > 0)
            {
                Thread.CurrentThread.CurrentCulture =
                    new CultureInfo(HttpContext.Request.UserLanguages[0]);
                Thread.CurrentThread.CurrentUICulture =
                    Thread.CurrentThread.CurrentCulture;
            }
        }
        public ActionResult Index()
        {
            ViewBag.Message = MainResource.Title;

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        protected override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            SetCulture();
        }
    }
}
